* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

body {
    line-height: 1.6;
}

/* Navbar styling */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #e4e4df;
    padding: 10px 20px;
}

.logo img {
    height: 64px;
}

.nav-links {
    list-style: none;
}

.nav-links li {
    display: inline;
    margin-left: 20px;
}

.nav-links li a {
    color: #003b73;
    text-decoration: none;
    font-size: 22px;
}

.nav-links li a:hover {
    color: #0071be;
}

/* Hero sektion */
/* Hero sektion */
.hero {
    position: relative;
    height: 95vh; /* Fyld hele højde af browseren */
    background: url('http://localhost:8080/images/blivbrandmand.png') no-repeat
        center center/cover;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    zoom: 90%;
}

.hero-text {
    color: white;
    font-size: 48px;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
    z-index: 1;
}

.cta-button {
    display: inline-block;
    margin-top: 20px;
    padding: 15px 30px;
    background-color: #003b73;
    color: white;
    text-decoration: none;
    font-size: 24px;
    border-radius: 7px;
    z-index: 1;
    transition: background-color 0.3s;
}

.cta-button:hover {
    background-color: #0071be;
    border-radius: 10px;
}

/* For at sikre at tekst og knap ikke overlapper med baggrundsbilledet */
.hero::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(
        0,
        0,
        0,
        0.4
    ); /* Mørk overlay for at gøre tekst tydeligere */
    z-index: 0;
}

/* Grid system */
.grid-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    padding: 40px;

    background-color: #f4f4f4;
}

.grid-container > div {
    transition: width 1s;
}
.grid-item {
    border-radius: 13px;
    background-color: white;
    padding: 20px;
    box-shadow: 0 10px 20px -2px gray;
    text-align: center;
    transition: box-shadow 0.2s;
}
.grid-item:hover {
    box-shadow: 0 15px 25px 2px gray;
}

.grid-container > div:hover {
    width: 100.2%;
}

.grid-item img {
    width: 100%;
    height: auto;
    border-radius: 5px;
}

.grid-item h2 {
    margin: 10px 0;
    font-size: 24px;
    font-family: 'Lato', sans-serif;
    font-weight: 600;
    font-style: normal;
}

.grid-item p {
    font-size: 16px;
    margin: 10px 0;
    font-family: 'Lato', sans-serif;
    font-weight: 400;
    font-style: normal;
}

.grid-button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #60a86a;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.grid-button:hover {
    background-color: #97c69e;
}
